import { ChangeDetectorRef, ElementRef, OnInit, QueryList } from '@angular/core';
import { FormControl } from '@angular/forms';
import { EventManager } from '@angular/platform-browser';
import { SandboxMenuItem, SelectedSandboxAndScenarioKeys } from '../lib/app-state';
import { StateService } from './shared/state.service';
import { UrlService } from './shared/url.service';
import { LevenshteinDistance } from './shared/levenshtein-distance';
import { Middleware } from '../lib/middlewares';
import { Observable } from 'rxjs';
import { Sandboxes } from "./shared/sandboxes";
import * as i0 from "@angular/core";
export declare class AppComponent implements OnInit {
    private stateService;
    private urlService;
    private eventManager;
    private levenshteinDistance;
    private changeDetectorRef;
    private middleware;
    private sandboxes;
    scenarioLinkElements: QueryList<ElementRef>;
    commandBarActive: boolean;
    commandBarPreview: boolean;
    totalSandboxes: number;
    filteredSandboxMenuItems: SandboxMenuItem[];
    selectedSandboxAndScenarioKeys: SelectedSandboxAndScenarioKeys;
    filter: FormControl;
    shortcuts: {
        keys: string[];
        description: string;
    }[];
    activeMiddleware: Middleware;
    embed: boolean;
    constructor(stateService: StateService, urlService: UrlService, eventManager: EventManager, levenshteinDistance: LevenshteinDistance, changeDetectorRef: ChangeDetectorRef, middleware: Observable<Middleware>, sandboxes: Sandboxes);
    ngOnInit(): void;
    onFilterBoxArrowDown(event: any, switchToScenario?: boolean): void;
    onFilterBoxArrowUp(event: any, switchToScenario?: boolean): void;
    onScenarioLinkKeyDown(scenarioElement: any, filterElement: any, event: any): void;
    onScenarioLinkKeyUp(scenarioElement: any, event: any): void;
    onScenarioLinkControlDown(scenarioElement: any, event: any): void;
    onScenarioLinkControlUp(scenarioElement: any, event: any): void;
    onCommandBarStartPreview(event: any): void;
    onCommandBarStopPreview(): void;
    onScenarioClick(sandboxKey: string, scenarioKey: number, event: any): void;
    isSelected(sandbox: any, scenario: any): boolean;
    toggleCommandBar(): void;
    private blockEvent;
    private showScenario;
    private findCurrentScenarioIndex;
    private goUp;
    private goDown;
    private focusScenarioLinkElement;
    private filterSandboxes;
    private selectScenario;
    private getShortcuts;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppComponent, "playground-app", never, {}, {}, never, never>;
}
