"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const core_1 = require("@angular-devkit/core");
const project_1 = require("../utils/project");
const parse_name_1 = require("@schematics/angular/utility/parse-name");
const workspace_1 = require("@schematics/angular/utility/workspace");
function sandbox(options) {
    // @ts-ignore
    return (tree, context) => __awaiter(this, void 0, void 0, function* () {
        var _a;
        const workspace = yield workspace_1.getWorkspace(tree);
        if (options.path === undefined) {
            options.path = project_1.getProjectPath(workspace, options);
        }
        const parsedPath = parse_name_1.parseName(options.path, options.name);
        options.name = parsedPath.name;
        options.path = parsedPath.path;
        const targetPath = options.flat
            ? options.path
            : `${options.path}/${options.name}`;
        const prefix = (_a = project_1.getProject(workspace, {})) === null || _a === void 0 ? void 0 : _a.prefix;
        const selector = `${prefix}-${options.name}`;
        const templateSource = schematics_1.apply(schematics_1.url('./files'), [
            schematics_1.template(Object.assign(Object.assign(Object.assign({}, core_1.strings), { selector }), options)),
            schematics_1.move(targetPath),
        ]);
        return schematics_1.chain([
            schematics_1.branchAndMerge(schematics_1.mergeWith(templateSource)),
        ]);
    });
}
exports.default = sandbox;
//# sourceMappingURL=index.js.map