"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addNpmScriptToPackageJson = void 0;
/**
 * Adds a script to the package.json
 */
function addNpmScriptToPackageJson(host, name, command) {
    if (host.exists('package.json')) {
        const sourceText = host.read('package.json').toString('utf-8');
        const json = JSON.parse(sourceText);
        if (!json.scripts) {
            json.scripts = {};
        }
        if (!json.scripts[name]) {
            json.scripts[name] = command;
        }
        host.overwrite('package.json', JSON.stringify(json, null, 2));
    }
    return host;
}
exports.addNpmScriptToPackageJson = addNpmScriptToPackageJson;
//# sourceMappingURL=npm-script.js.map