"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSourceRoot = exports.getProject = exports.getProjectPath = void 0;
const core_1 = require("@angular-devkit/core");
const schematics_1 = require("@angular-devkit/schematics");
function getProjectPath(workspace, options) {
    const project = getProject(workspace, options);
    if ((project === null || project === void 0 ? void 0 : project.root.substr(-1)) === '/') {
        project.root = project.root.substr(0, project.root.length - 1);
    }
    if (options.path === undefined) {
        const projectDirName = (project === null || project === void 0 ? void 0 : project.extensions.projectType) === 'application'
            ? 'app'
            : 'lib';
        const sourceRoot = exports.getSourceRoot(project === null || project === void 0 ? void 0 : project.sourceRoot);
        return `${(project === null || project === void 0 ? void 0 : project.root) ? `/${project.root}` : ''}/${sourceRoot}/${projectDirName}`;
    }
    return options.path;
}
exports.getProjectPath = getProjectPath;
function getProject(workspace, options, typeFilter = null) {
    if (!options.project) {
        // can have no projects if created with `ng new <name> --createApplication=false`
        if (workspace.projects.size === 0) {
            throw new schematics_1.SchematicsException('Your app must have at least 1 project to use Playground.');
        }
        // if type filter is not set, use first project
        let firstFilteredProject = workspace.projects.keys().next().value;
        if (typeFilter) {
            // apply filter
            workspace.projects.forEach((project, key) => {
                if (project.extensions.projectType === typeFilter) {
                    firstFilteredProject = key;
                    return;
                }
            });
        }
        options.project = firstFilteredProject;
    }
    return workspace.projects.get(options.project || '');
}
exports.getProject = getProject;
const getSourceRoot = (sourceRoot) => sourceRoot === undefined ? 'src' : core_1.normalize(sourceRoot);
exports.getSourceRoot = getSourceRoot;
//# sourceMappingURL=project.js.map